# DHClient

Welcome to your new gem! In this directory, you'll find the files you need to be able to package up your Ruby library into a gem. Put your Ruby code in the file `lib/dhclient`. To experiment with that code, run `bin/console` for an interactive prompt.


## Installation

Add this line to your application's Gemfile:

```ruby
gem 'dhclient'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install dhclient

## Usage

There are several commands available, covering loading data and starting and monitoring compositions and publications. These are their usages:

```
$ dhclient --url http://localhost:8080/datahub-webapp/v1 --user admin --password nimda version
# displays Datahub version

$ dhclient --url http://localhost:8080/datahub-webapp/v1 --user admin --password nimda status
# display raw/canonical/target item processing status

$ dhclient --url http://localhost:8080/datahub-webapp/v1 --user admin --password nimda compositions
# displays a XML with information about all compositions

$ dhclient --url http://localhost:8080/datahub-webapp/v1 --user admin --password nimda publications
# displays an JSON with information about all publications

$ dhclient --url http://localhost:8080/datahub-webapp/v1 --user admin --password nimda load_data --file MY_CSV_FILE --feed SOME_FEED --raw MyRawItem
# loads data from MY_CSV_FILE into SOME_FEED as MyRawItem.

$ dhclient --url http://localhost:8080/datahub-webapp/v1 --user admin --password nimda start_composition --pool SOME_POOL
# starts composition at SOME_POOL

$ dhclient --url http://localhost:8080/datahub-webapp/v1 --user admin --password nimda start_publication --pool SOME_POOL --target SOME_TARGET_SYSTEM
# starts publication at SOME_POOL into SOME_TAREGT_SYSTEM

```


## Development

After checking out the repo, run `bin/setup` to install dependencies. You can also run `bin/console` for an interactive prompt that will allow you to experiment.

To install this gem onto your local machine, run `bundle exec rake install`. To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release`, which will create a git tag for the version, push git commits and tags, and push the `.gem` file to [rubygems.org](https://rubygems.org).

## Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/danielqo/dhclient.

